Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • AnyEvent::AIO
  • Cocoa::EventLoop
  • EV
  • Event
  • Event::Lib
  • Glib
  • IO::AIO
  • IO::Async::Loop
  • Net::SSLeay
  • POE
  • Qt
  • Qt::isa
  • Qt::slots
  • Tk
  • UV

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: AE, AnyEvent, AnyEvent::DNS, AnyEvent::Debug, AnyEvent::Handle, AnyEvent::IO, AnyEvent::IO::IOAIO, AnyEvent::IO::Perl, AnyEvent::Impl::Cocoa, AnyEvent::Impl::EV, AnyEvent::Impl::Event, AnyEvent::Impl::EventLib, AnyEvent::Impl::FLTK, AnyEvent::Impl::Glib, AnyEvent::Impl::IOAsync, AnyEvent::Impl::Irssi, AnyEvent::Impl::POE, AnyEvent::Impl::Perl, AnyEvent::Impl::Qt, AnyEvent::Impl::Tk, AnyEvent::Impl::UV, AnyEvent::Log, AnyEvent::Loop, AnyEvent::Socket, AnyEvent::Strict, AnyEvent::TLS, AnyEvent::Util

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_invalid_versions

Fix the version numbers so that version::is_lax($version) returns true.

Error:

  • lib/AE.pm: HASH(0x67364b0)
  • lib/AnyEvent/DNS.pm: HASH(0x6736468)
  • lib/AnyEvent/Handle.pm: HASH(0x6736210)
  • lib/AnyEvent/IO/IOAIO.pm: HASH(0x6736360)
  • lib/AnyEvent/IO/Perl.pm: HASH(0x67363d8)
  • lib/AnyEvent/Impl/Perl.pm: HASH(0x67363a8)
  • lib/AnyEvent/Log.pm: HASH(0x6736528)
  • lib/AnyEvent/Loop.pm: HASH(0x74a5d30)
  • lib/AnyEvent/Socket.pm: HASH(0x6736300)
  • lib/AnyEvent/TLS.pm: HASH(0x74a5d78)
  • lib/AnyEvent/Util.pm: HASH(0x67366c0)

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: AE, AnyEvent, AnyEvent::DNS, AnyEvent::Debug, AnyEvent::Handle, AnyEvent::IO, AnyEvent::IO::IOAIO, AnyEvent::IO::Perl, AnyEvent::Impl::Cocoa, AnyEvent::Impl::EV, AnyEvent::Impl::Event, AnyEvent::Impl::EventLib, AnyEvent::Impl::FLTK, AnyEvent::Impl::Glib, AnyEvent::Impl::IOAsync, AnyEvent::Impl::Irssi, AnyEvent::Impl::POE, AnyEvent::Impl::Perl, AnyEvent::Impl::Qt, AnyEvent::Impl::Tk, AnyEvent::Impl::UV, AnyEvent::Log, AnyEvent::Loop, AnyEvent::Socket, AnyEvent::Strict, AnyEvent::TLS, AnyEvent::Util

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • File::Temp
  • POSIX
  • Socket
  • Test::More
  • strict
  • utf8

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
AE simpler/faster/newer/cooler AnyEvent API metacpan
AnyEvent the DBI of event loop programming 7.12 metacpan
AnyEvent::DNS fully asynchronous DNS resolution metacpan
AnyEvent::Debug debugging utilities for AnyEvent metacpan
AnyEvent::Handle non-blocking I/O on streaming handles via AnyEvent metacpan
AnyEvent::IO the DBI of asynchronous I/O implementations metacpan
AnyEvent::IO::IOAIO AnyEvent::IO backend based on IO::AIO metacpan
AnyEvent::IO::Perl pure perl backend for AnyEvent::IO metacpan
AnyEvent::Impl::Cocoa AnyEvent adaptor for Cocoa::EventLoop metacpan
AnyEvent::Impl::EV AnyEvent adaptor for EV metacpan
AnyEvent::Impl::Event AnyEvent adaptor for Event metacpan
AnyEvent::Impl::EventLib AnyEvent adaptor for Event::Lib metacpan
AnyEvent::Impl::FLTK AnyEvent adaptor for FLTK (Fast Light Toolkit version two) metacpan
AnyEvent::Impl::Glib AnyEvent adaptor for Glib metacpan
AnyEvent::Impl::IOAsync AnyEvent adaptor for IO::Async metacpan
AnyEvent::Impl::Irssi AnyEvent adaptor for Irssi metacpan
AnyEvent::Impl::POE AnyEvent adaptor for POE metacpan
AnyEvent::Impl::Perl AnyEvent adaptor for AnyEvent's pure perl AnyEvent::Loop metacpan
AnyEvent::Impl::Qt AnyEvent adaptor for Qt metacpan
AnyEvent::Impl::Tk AnyEvent adaptor for Tk metacpan
AnyEvent::Impl::UV AnyEvent adaptor for UV metacpan
AnyEvent::Log simple logging "framework" metacpan
AnyEvent::Loop AnyEvent's Pure-Perl event loop metacpan
AnyEvent::Socket useful IPv4 and IPv6 stuff. also unix domain sockets. and stuff. metacpan
AnyEvent::Strict force strict mode on for the whole process metacpan
AnyEvent::TLS SSLv2/SSLv3/TLSv1 contexts for use in AnyEvent::Handle metacpan
AnyEvent::Util various utility functions. metacpan

Provides

Name File View
AE::Log::COLLECT lib/AnyEvent/Log.pm metacpan
AE::Log::FILTER lib/AnyEvent/Log.pm metacpan
AE::Log::LOG lib/AnyEvent/Log.pm metacpan
AnyEvent::Base lib/AnyEvent.pm metacpan
AnyEvent::CondVar lib/AnyEvent.pm metacpan
AnyEvent::CondVar::Base lib/AnyEvent.pm metacpan
AnyEvent::Debug::Backtrace lib/AnyEvent/Debug.pm metacpan
AnyEvent::Debug::Wrap lib/AnyEvent/Debug.pm metacpan
AnyEvent::Debug::Wrapped lib/AnyEvent/Debug.pm metacpan
AnyEvent::Debug::shell lib/AnyEvent/Debug.pm metacpan
AnyEvent::Impl::Qt::Io lib/AnyEvent/Impl/Qt.pm metacpan
AnyEvent::Impl::Qt::Timer lib/AnyEvent/Impl/Qt.pm metacpan
AnyEvent::Log::COLLECT lib/AnyEvent/Log.pm metacpan
AnyEvent::Log::Ctx lib/AnyEvent/Log.pm metacpan
AnyEvent::Log::FILTER lib/AnyEvent/Log.pm metacpan
AnyEvent::Log::LOG lib/AnyEvent/Log.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan